SocketException Class Reference

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error. More...

Inheritance diagram for SocketException:

## Public Member Functions

| SocketException (const LogString &msg)
| SocketException (log4cxx_status_t status)
| SocketException (const SocketException &)
SocketException & | operator= (const SocketException &)
Public Member Functions inherited from IOException
| IOException ()
| IOException (log4cxx_status_t stat)
| IOException (const LogString &msg)
| IOException (const IOException &src)
IOException & | operator= (const IOException &)
Public Member Functions inherited from Exception
| Exception (const char *msg)
| Exception (const LogString &msg)
| Exception (const Exception &src)
Exception & | operator= (const Exception &src)
const char * | what () const throw ()

## Detailed Description

Thrown to indicate that there is an error in the underlying protocol, such as a TCP error.

## Constructor & Destructor Documentation

SocketException | ( | const LogString & | msg | ) |

SocketException | ( | log4cxx_status_t | status | ) |

SocketException | ( | const SocketException & |  | ) |

## Member Function Documentation

SocketException& operator= | ( | const SocketException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h